Bug 1270214 - X doesn't start on boot even if graphical.target is set
Summary: X doesn't start on boot even if graphical.target is set
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gdm
Version: 7.1
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Ray Strode [halfline]
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1298243
TreeView+ depends on / blocked
 
Reported: 2015-10-09 09:52 UTC by jigar
Modified: 2019-08-15 05:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-15 22:21:16 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description jigar 2015-10-09 09:52:54 UTC
Description of problem: X session doesn't start on boot ( even if graphical.target is set in the grub ) and needs to be explicitly started using an alternate console. Multi monitor setup, CPU firmware up-to-date , selinux turned off.

Following is the backtrace of the crash:

Core was generated by `/usr/libexec/gdm-simple-slave --display-id /org/gnome/DisplayManager/Displays/_'.
Program terminated with signal 11, Segmentation fault.
#0  gdm_session_get_allowed_user (self=0x0) at gdm-session.c:2652
2652            return self->priv->allowed_user;
(gdb) bt
#0  gdm_session_get_allowed_user (self=0x0) at gdm-session.c:2652
#1  0x00007f4b970846b2 in create_new_session (slave=0x7f4b98150140) at gdm-simple-slave.c:806
#2  setup_session (slave=0x7f4b98150140) at gdm-simple-slave.c:1261
#3  idle_connect_to_display (slave=0x7f4b98150140) at gdm-simple-slave.c:1274
#4  0x00007f4b9604e9ba in g_main_dispatch (context=0x7f4b98135b30) at gmain.c:3061
#5  g_main_context_dispatch (context=context@entry=0x7f4b98135b30) at gmain.c:3660
#6  0x00007f4b9604ed08 in g_main_context_iterate (context=0x7f4b98135b30, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3731
#7  0x00007f4b9604efda in g_main_loop_run (loop=0x7f4b9814dd60) at gmain.c:3925
#8  0x00007f4b97075d6a in main (argc=1, argv=0x7fff754bef18) at simple-slave-main.c:189
(gdb) 


Actual results: X doesn't start and needs to be started using "$ startx"

Expected results: X should start after boot if graphical.target is set


Note You need to log in before you can comment on or make changes to this bug.